Http Error 500

 
Please log in or Create an account to post or reply to topics.
 
Mark Wilson
Tue Jun 20, 17
5:08 AM
Hi
I hope you can help, I've suddenly had issue with my photocart and it is giving me the following HTTP ERROR 500 and will not even let me login to my admin area. Also not opening my photocart from link on my site menu - rest of site ok.
Sadly I'm with bluehost who should be renamed nohopehost.com :-(
Mark Wilson
Tue Jun 20, 17
5:10 AM
If it helps my site is www.locationportraits.co.uk and the link for photocart is http://locationportraits.co.uk/photocart/index.php
Tim - PicturesPro.com
admin
Tue Jun 20, 17
9:06 AM
My guess is that your host updated the PHP version to PHP 7, which Photo Cart is not compatible with PHP 7. You can probably change the PHP version in your hosting control panel to 5.6 or 5.4.
 
 
 
 
 
Tim Grissett, DIA - PicturesPro.com || My Email Address: info@picturespro.com
Mark Wilson
Tue Jun 20, 17
9:53 AM
Hi Tim thanks for quick reply.
I thought so and I did check - looks to be ok on 5.6.
Will take another look to be sure.
Will update soon.
Many thanks ????
Mark Wilson
Tue Jun 20, 17
12:01 PM
HI Tim
Any particular one of these?
Is one better than the other.
This is what it was on and it is still not opening or even showing, still getting Error 500

Sorry not letting me upload jpg for some reason.

Here's the setting options and it was currently on (php 5.4 single php ini)

PHP 5.4
All files with the extension .php will be handled by the PHP 5.4 engine.
Legacy PHP with security updates. Compatible with most environments.
PHP 5.4 (Single php.ini)
Same as PHP 5.4, but all subdirectories will use ~/public_html/php.ini
PHP 5.4 (FastCGI)
All files with the extension .php will be handled by PHP 5.4 FastCGI processes.
FastCGI for PHP makes all your PHP applications run through mod_fastcgi instead of mod_suphp. This eliminates the overhead of loading the PHP interpreter on every hit. Since it is always in memory ready for the next hit, the responses will be generated faster.
PHP 5.6
All files with the extension .php will be handled by the PHP 5.6 engine.
PHP 5.6 (Single php.ini)
Same as PHP 5.6, but all subdirectories will use ~/public_html/php.ini
PHP 5.6 (FastCGI)
All files with the extension .php will be handled by PHP 5.6 FastCGI processes.
FastCGI for PHP makes all your PHP applications run through mod_fastcgi instead of mod_suphp. This eliminates the overhead of loading the PHP interpreter on every hit. Since it is always in memory ready for the next hit, the responses will be generated faster.
Edited Tue Jun 20, 17 12:07 PM by Mark Wilson
Tim - PicturesPro.com
admin
Tue Jun 20, 17
1:24 PM
If the PHP version if 5.6, then you might be using Photo Cart 6 or earlier in which it is this:
https://www.picturespro.com/support-forum/photo-cart/?t=10475-all-of-a-sudden-my-photo-cart-pages-are-blank
 
 
 
 
 
Tim Grissett, DIA - PicturesPro.com || My Email Address: info@picturespro.com
Mark Wilson
Thu Jun 22, 17
12:23 PM
Thanks Tim, apologies, just spotted your reply.
I'll take a look.
Will update.
:-)
Mark Wilson
Sun Sep 24, 17
2:52 AM
Hi Tim
Apologies for slow reply.
I've upgraded photocart (correctly I believe) and am still unable to see my photocart at all.

I've been in touch with webhosts and they have looked in to the matter.
This was their response...

"I have investigated this issue further on my end and it seems that is currently caused due to the following PHP Fatal Error from the application itself:

[24-Sep-2017 01:23:52 Europe/Berlin] PHP Fatal error: Cannot re-assign auto-global variable _REQUEST in /home/evolvemi/locationportraits.co.uk/photocart/pc_inc/pc_functions.php on line 72

I have also checked with them which version of php I am running and it is PHP 7.0.23

Does this mean anything to you as I would love to get my photocart back.

Many thanks
Mark
Edited Sun Sep 24, 17 2:53 AM by Mark Wilson
Tim - PicturesPro.com
admin
Mon Sep 25, 17
8:09 AM
Photo Cart is not compatible with PHP 7. So that is one problem. The PHP version would need to be downgraded to PHP 5.6

Versions of Photo Cart before Photo Cart 7, are not compatible with PHP versions higher that 5.4. This error: [24-Sep-2017 01:23:52 Europe/Berlin] PHP Fatal error: Cannot re-assign auto-global variable _REQUEST in /home/evolvemi/locationportraits.co.uk/photocart/pc_inc/pc_functions.php on line 72

would indicate that it is not Photo Cart 7.

So you need to have the PHP version changed to version 5.6 and be sure you have done the upgrade to Phtoo Cart 7.
https://www.picturespro.com/support-forum/photo-cart/?t=10475-all-of-a-sudden-my-photo-cart-pages-are-blank
 
 
 
 
 
Tim Grissett, DIA - PicturesPro.com || My Email Address: info@picturespro.com
Mark Wilson
Mon Sep 25, 17
1:07 PM
Hi Tim
Thanks for response.
When you say "would indicate that it is not Photo Cart 7." - do you mean...

a) it looks like it has not upgraded to photocart 7 and is therefore still 6?

b) it looks like its a hosting issue and nothing to to with a photocart issue?

Kind regards
Mark
Tim - PicturesPro.com
admin
Tue Sep 26, 17
6:10 AM
a) that error would indicate that it is Photo Cart 6.

b) It is probably a PHP version issue on the host.
 
 
 
 
 
Tim Grissett, DIA - PicturesPro.com || My Email Address: info@picturespro.com

Loading more pages
Sign up for email promotions.
Your information is safe with us and won't be shared.
Thank you for signing up!
 
©2003 - 2017 Grissett, LLC. All Rights Reserved.
Loading More Photos
Scroll To Top
Close Window
Loading
Close